<screen>
	<name>HighScoreScreen</name>
	<!-- highscore screen -->
	<rootcomponent>
		<name>highscoreform</name>
		<event>
			<name>create</name>
			<node>
				<keyframe><time>0</time>
					<position><y>-200</y></position>
					<scale>1.8</scale>
					<color>0x00FFFFFF</color>
				</keyframe>
				<keyframe><time>300</time>
					<position><y>0</y></position>
					<scale>1.</scale>
					<color>0xFFFFFFFF</color>
				</keyframe>
			</node>
		</event>
		<event>
			<name>destroy</name>
			<node>
				<lifetime>300</lifetime>
				<keyframe><time>300</time>
					<position><y>-200</y></position>
					<scale>1.8</scale>
					<color>0x00FFFFFF</color>
				</keyframe>
			</node>
		</event>

		<component>
			<name>bg</name>
			<event>
				<name>create</name>
				<node>
					<replace>/gui/component/highscoreframe.xml</replace>
					<position> <x>0</x> <y>0</y> <z>0</z> </position>
				</node>
			</event>
		</component>

		<!-- top text -->
		<component>
			<name>toptext</name>
			<caption>$hierarchy.Screen.Highscore.caption</caption>
			<captioncolor>0xFFE6A748</captioncolor>
			<captionshadowcolor>0xFF000000</captionshadowcolor>
			<event>
				<name>create</name>
				<node>
					<position> <x>0</x> <y>-260</y> <z>-5</z> </position>
				</node>
			</event>
		</component>

		<!-- ok button -->
		<component>
			<name>cancelbutton</name>
			<hotkey>KEY_RETURN</hotkey>
			<caption>$hierarchy.ok</caption>
			<width>170</width>
			<height>50</height>
			<event>
				<name>create</name>
				<node>
					<replace>/gui/component/btn-mi-normal.xml</replace>
					<position> <x>0</x> <y>240</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>mousein</name>
				<node>
					<replace>/gui/component/btn-mi-highlight.xml</replace>
				</node>
			</event>
			<event>
				<name>mouseout</name>
				<node>
					<replace>/gui/component/btn-mi-normal.xml</replace>
				</node>
			</event>
		</component>

		<!-- escape button shortcut -->
		<component>
			<name>okbutton</name>
			<hotkey>KEY_ESCAPE</hotkey>
			<event>
				<name>create</name>
				<node>
				</node>
			</event>
		</component>
		
<!-- table1  panel -->

	<component>
		<name>table1</name>
		<event>
			<name>create</name>
			<node>
				<position> <x>0</x> <y>-20</y> <z>1</z> </position>
			</node>
		</event>

<!--  title -->
		<!--component>
			<name>title</name>
			<caption>$hierarchy.Screen.Highscore.Table1</caption>
			<captioncolor>0xFFFFFFFF</captioncolor>
			<event>
				<node>
					<name>create</name>
					<xposition>-20</xposition>
					<yposition>-180</yposition>
					<zposition>-1</zposition>
				</node>
			</event>
		</component-->
		
	<!-- table 1 column titles -->
		<component>
			<name>colname</name>
			<align>1</align>
			<caption>$hierarchy.Screen.Highscore.name</caption>
			<captioncolor>0xFFE6A748</captioncolor>
			<captionshadowcolor>0xFF000000</captionshadowcolor>
			<event>
				<name>create</name>
				<node>
					<position> <x>-130</x> <y>-150</y> <z>-1</z> </position>
				</node>
			</event>
			
			
			<component>
				<name>colscore</name>
				<align>right</align>
				<caption>$hierarchy.Screen.Highscore.score</caption>
				<captioncolor>0xFFE6A748</captioncolor>
				<captionshadowcolor>0xFF000000</captionshadowcolor>
				<event>
					<name>create</name>
					<node>
						<position> <x>260</x> </position>
					</node>
				</event>
			</component>
		</component>

		
		<!-- table 1 item1 -->
		<component>
			<name>name1</name>
			<align>1</align>
			<caption></caption>
			<captioncolor>0xFF000000</captioncolor>
			<event>
				<name>create</name>
				<node>
					<position> <x>-130</x> <y>-110</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>highlight</name>
				<node>
					<replace>/gui/component/highscorehighlight.xml</replace>
				</node>
			</event>
			
			
			<component>
				<name>score</name>
				<align>right</align>
				<caption></caption>
				<captioncolor>0xFFC00000</captioncolor>
				<event>
					<name>create</name>
					<node>
						<position> <x>260</x> </position>
					</node>
				</event>
			</component>
	
		</component>

		<!--  item2 -->
		<component>
			<name>name2</name>
			<align>1</align>
			<caption></caption>
			<captioncolor>0xFF000000</captioncolor>
			<event>
				<name>create</name>
				<node>
					<position> <x>-130</x> <y>-80</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>highlight</name>
				<node>
					<replace>/gui/component/highscorehighlight.xml</replace>
				</node>
			</event>

			<component>
				<name>score</name>
				<align>right</align>
				<caption></caption>
				<captioncolor>0xFFC00000</captioncolor>
				<event>
					<name>create</name>
					<node>
						<position> <x>260</x> </position>
					</node>
				</event>
			</component>
		</component>
		
<!--  item3 -->
		<component>
			<name>name3</name>
			<align>1</align>
			<caption></caption>
			<captioncolor>0xFF000000</captioncolor>
			<event>
				<name>create</name>
				<node>
					<position> <x>-130</x> <y>-50</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>highlight</name>
				<node>
					<replace>/gui/component/highscorehighlight.xml</replace>
				</node>
			</event>
			
			<component>
				<name>score</name>
				<align>right</align>
				<caption></caption>
				<captioncolor>0xFFC00000</captioncolor>
				<event>
					<name>create</name>
					<node>
						<position> <x>260</x> </position>
					</node>
				</event>
			</component>
		</component>
		
<!--  item4 -->
		<component>
			<name>name4</name>
			<align>1</align>
			<caption></caption>
			<captioncolor>0xFF000000</captioncolor>
			<event>
				<name>create</name>
				<node>
					<position> <x>-130</x> <y>-20</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>highlight</name>
				<node>
					<replace>/gui/component/highscorehighlight.xml</replace>
				</node>
			</event>
			
			<component>
				<name>score</name>
				<align>right</align>
				<caption></caption>
				<captioncolor>0xFFC00000</captioncolor>
				<event>
					<name>create</name>
					<node>
						<position> <x>260</x> </position>
					</node>
				</event>
			</component>
		</component>
		
<!--  item5 -->
		<component>
			<name>name5</name>
			<align>1</align>
			<caption></caption>
			<captioncolor>0xFF000000</captioncolor>
			<event>
				<name>create</name>
				<node>
					<position> <x>-130</x> <y>10</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>highlight</name>
				<node>
					<replace>/gui/component/highscorehighlight.xml</replace>
				</node>
			</event>
			
			<component>
				<name>score</name>
				<align>right</align>
				<caption></caption>
				<captioncolor>0xFFC00000</captioncolor>
				<event>
					<name>create</name>
					<node>
						<position> <x>260</x> </position>
					</node>
				</event>
			</component>
		</component>
		
<!--  item6 -->
		<component>
			<name>name6</name>
			<align>1</align>
			<caption></caption>
			<captioncolor>0xFF000000</captioncolor>
			<event>
				<name>create</name>
				<node>
					<position> <x>-130</x> <y>40</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>highlight</name>
				<node>
					<replace>/gui/component/highscorehighlight.xml</replace>
				</node>
			</event>
			
			<component>
				<name>score</name>
				<align>right</align>
				<caption></caption>
				<captioncolor>0xFFC00000</captioncolor>
				<event>
					<name>create</name>
					<node>
						<position> <x>260</x> </position>
					</node>
				</event>
			</component>
		</component>		

<!--  item7 -->
		<component>
			<name>name7</name>
			<align>1</align>
			<caption></caption>
			<captioncolor>0xFF000000</captioncolor>
			<event>
				<name>create</name>
				<node>
					<position> <x>-130</x> <y>70</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>highlight</name>
				<node>
					<replace>/gui/component/highscorehighlight.xml</replace>
				</node>
			</event>
						
			<component>
				<name>score</name>
				<align>right</align>
				<caption></caption>
				<captioncolor>0xFFC00000</captioncolor>
				<event>
					<name>create</name>
					<node>
						<position> <x>260</x> </position>
					</node>
				</event>
			</component>
	
		</component>

<!--  item8 -->
		<component>
			<name>name8</name>
			<align>1</align>
			<caption></caption>
			<captioncolor>0xFF000000</captioncolor>
			<event>
				<name>create</name>
				<node>
					<position> <x>-130</x> <y>100</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>highlight</name>
				<node>
					<replace>/gui/component/highscorehighlight.xml</replace>
				</node>
			</event>
						
			<component>
				<name>score</name>
				<align>right</align>
				<caption></caption>
				<captioncolor>0xFFC00000</captioncolor>
				<event>
					<name>create</name>
					<node>
						<position> <x>260</x> </position>
					</node>
				</event>
			</component>
	
		</component>

<!--  item9 -->
		<component>
			<name>name9</name>
			<align>1</align>
			<caption></caption>
			<captioncolor>0xFF000000</captioncolor>
			<event>
				<name>create</name>
				<node>
					<position> <x>-130</x> <y>130</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>highlight</name>
				<node>
					<replace>/gui/component/highscorehighlight.xml</replace>
				</node>
			</event>
						
			<component>
				<name>score</name>
				<align>right</align>
				<caption></caption>
				<captioncolor>0xFFC00000</captioncolor>
				<event>
					<name>create</name>
					<node>
						<position> <x>260</x> </position>
					</node>
				</event>
			</component>
	
		</component>

<!--  item10 -->
		<component>
			<name>name10</name>
			<align>1</align>
			<caption></caption>
			<captioncolor>0xFF000000</captioncolor>
			<event>
				<name>create</name>
				<node>
					<position> <x>-130</x> <y>160</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>highlight</name>
				<node>
					<replace>/gui/component/highscorehighlight.xml</replace>
				</node>
			</event>
						
			<component>
				<name>score</name>
				<align>right</align>
				<caption></caption>
				<captioncolor>0xFFC00000</captioncolor>
				<event>
					<name>create</name>
					<node>
						<position> <x>260</x> </position>
					</node>
				</event>
			</component>
		</component>


		<component>
			<name>table1clear</name>
			<width>300</width>
			<height>50</height>
			<tag>0</tag>
			<font>0</font>
			<caption>$hierarchy.Screen.Highscore.clear</caption>
			<captioncolor>0xFF404040</captioncolor>
			<event>
				<name>create</name>
				<node>
					<position> <x>0</x> <y>184</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>mousein</name>
				<node>
					<keyframe>
						<time>200</time>
						<scale>1.2</scale>
					</keyframe>
				</node>
			</event>
			<event>
				<name>mouseout</name>
				<node>
					<keyframe>
						<time>200</time>
						<scale>1.0</scale>
					</keyframe>
				</node>
			</event>
		</component>

	</component>


	</rootcomponent>
</screen>